import java.net.*;
import java.util.*;

import com.ibm.uddi.client.*;
import com.ibm.uddi.response.*;
import com.ibm.uddi.datatype.business.*;
import com.ibm.uddi.datatype.*;

public class DeleteServices {

	public static void main(String args[]) throws Exception {
		System.setProperty("java.protocol.handler.pkgs", "com.sun.net.ssl.internal.www.protocol");
		java.security.Security.addProvider(new com.sun.net.ssl.internal.ssl.Provider());

		UDDIProxy up = new UDDIProxy(
			new URL("http://www-3.ibm.com/services/uddi/testregistry/inquiryapi"),
			new URL("https://www-3.ibm.com/services/uddi/testregistry/protect/publishapi"),
			new org.apache.soap.transport.http.SOAPHTTPConnection());

		AuthToken at = up.get_authToken("myuserid", "mypassword");
		String ais = at.getAuthInfoString();

                BusinessList bl = up.find_business(args[0], null, 0);
                Vector businessInfos = bl.getBusinessInfos().getBusinessInfoVector();

                Enumeration enum = businessInfos.elements();
                while (enum.hasMoreElements()) {
                	BusinessInfo bi = (BusinessInfo)enum.nextElement();
                	System.out.println("found a business : "+bi.getNameString());
                	up.delete_business(ais, bi.getBusinessKey());
                	System.out.println("Deleted.");
                }


	}
}
